Новый PhoneGap 3.0 Импорт org.apache.cordova невозможен.

Я устанавливаю новый телефонный зазор 3.0 со всей мощной командной строкой.

cordova create hello com.example.hello HelloWorld cordova platform add android 

Когда я открываю проект андроида в eclipse, я получаю эту ошибку на HelloWorld.java :

 The import org.apache.cordova cannot be resolved 

Я думаю, у меня есть недостающая библиотека, но как решить эту проблему, если единственный способ установить 3.0 – это командная строка.

Solutions Collecting From Web of "Новый PhoneGap 3.0 Импорт org.apache.cordova невозможен."

Обновление. Если вы перейдете на Phonegap 3.3, вам больше не нужно этого делать. Подробная информация об обновлении Phonegap: http://phonegap.com/blog/2013/12/13/phonegap-release/

Примечание. Убедитесь, что в eclipse вы импортируете существующий код Android в рабочую область. НЕ «Существующие проекты в рабочее пространство»

У меня была такая же проблема, и я нашел решение, которое работает:

  1. Загрузите исходный ZIP-файл для Кордовы: http://cordova.apache.org/#download
  2. Извлеките «кордову-андроид» в любом месте. Внутри будет папка «framework».
  3. В eclipse откройте недавно распакованную папку «cordova-android / framework» как существующий проект.
  4. В eclipse щелкните правой кнопкой мыши на этом новом проекте «Кордова» -> Свойства -> Android . Убедитесь, что установлен флажок «Библиотека».
  5. Щелкните правой кнопкой мыши проект вашего приложения -> Свойства -> Android . В разделе «Библиотека» выберите «Добавить». Выберите проект «Кордова».

Все сделано, импорт теперь должен быть разрешен!